
# App by tabs

## <a name="draftnotes-tab"/>'Draft/Notes' tab

## <a name="summary"/>Summary

* [Screenshot](#screenshot)
* [Introduction](#introduction)
* [Usage](#usage)
    * [Notes list](#notes-list)
        * [Adding a new note](#notes-add)
        * [Deleting a note](#notes-delete)
        * [Renaming a note](#notes-rename)
    * [Note text editor](#note-text-editor)
* [Finally](#finally)
* [Quick nav](#quick-nav)


## <a name="screenshot"/>Screenshot

![image](../../images/screenshots/screenshot-002.png)

Return to [summary](#summary).


## <a name="introduction"/>Introduction

This app tab allows personal notes for best project preps.

It is composed of:

1. a notes list, at left side;
1. a note title reminder, at top-right side;
1. a note text editor, at bottom-right side.

Left and right sides are **resizable**: put mouse pointer between notes
list and editor, then click and drag sash to get preferred size.

Return to [summary](#summary).


## <a name="usage"/>Usage

### <a name="notes-list"/>Notes list

The notes list allows to create, modify, rename and delete multiple
draft / note documents.

Please, notice all note documents are automatically saved into live
memory during project session. This is a fast and easy feature for the
user but not a safe one, so it is highly recommended to frequently save
your work onto disk to avoid bad surprises (see [Finally](#finally)
below).

Also notice switching from one note to another in notes list resets
**undo/redo** features in the text editor (see [Note text editor](#note-text-editor) below).

Return to [summary](#summary).

#### <a name="notes-add"/>Adding a new note

To create a new note document, merely click on the `+` (plus) button
located at bottom-left side of this application tab, below the notes
list.

A pop-up dialog will then ask you for document's title.

Please, notice each document title must be **unique** amongst current
notes list. The software will prevent from mistakes.

Once created, the new note document is immediately ready to be fed with
the text editor (see [Note text editor](#note-text-editor) below).

Return to [summary](#summary).

#### <a name="notes-delete"/>Deleting a note

First select the note you wish to delete into notes list, then click on
the `-` (minus) button located at bottom-left side of this application
tab, below the notes list.

A pop-up dialog will then ask you for confirmation.

Once confirmed, deletion is done with no way back, so please, use with
caution.

Return to [summary](#summary).

#### <a name="notes-rename"/>Renaming a note

First select the note you wish to rename into notes list, then click on
the `Rename` button located at bottom-left side of this application
tab, below the notes list.

A pop-up dialog will then ask you for a new document title.

Please, notice each document title must be **unique** amongst current
notes list. The software will prevent from mistakes.

Return to [summary](#summary).

### <a name="note-text-editor"/>Note text editor

The big white zone located on the right side of this application tab is
called a **plain text editor**.

This object allows multiple line editing with carriage return,
undo/redo stack and many other features.

Pressing on the carriage return key will insert a new **paragraph**.

Double-clicking on a word will select **this word only**.

Triple-clicking on a word will select **the whole paragraph**.

You may **select all text** by using `Edit > Select all` menu option or
with `<Ctrl-A>` keyboard shortcut.

Any selection band is likely to be replaced by the next keystroke on
the keyboard.

To **undo** last operation, either use `Edit > Undo` menu option or try
`<Ctrl-Z>` keyboard shortcut.

To **redo** last cancelled operation, either use `Edit > Redo` menu
option or try `<Ctrl-Shift-Z>` keyboard shortcut.

Please, notice switching from one note to another in notes list resets
**undo/redo** features in the text editor (operation stacks are all
cleared).

Return to [summary](#summary).


## <a name="finally"/>Finally

**IMPORTANT**: don't forget to frequently **save your whole project**,
either by calling `Project > Save` menu option or by using `<Ctrl-S>`
keyboard shortcut.

Return to [summary](#summary).

---

#### <a name="quick-nav"/>Quick nav

* **App by tabs**
    * ['Title/Data' tab](en_tab_title_data.html)
    * ['Draft/Notes' tab](en_tab_draft_notes.html)
    * ['Pitch/Concept' tab](en_tab_pitch_concept.html)
    * ['Characters' tab](en_tab_characters.html)
    * ['Scenario' tab](en_tab_scenario.html)
    * ['Storyboard' tab](en_tab_storyboard.html)
    * ['Resources' tab](en_tab_resources.html)
* **Extra tools**
    * [Name database](en_tools_name_db.html)
    * [Story/pitch templates](en_tools_pitch_templates.html)
    * [Scenario Elements Editor (SEE)](en_tools_scenario_elements_editor.html)

Return to [homepage](index.html).
