
# L'application par ses onglets

## <a name="onglet-brouillonnotes"/>Onglet 'Brouillon/Notes'

## <a name="sommaire"/>Sommaire

* [Aperçu](#screenshot)
* [Présentation](#introduction)
* [Utilisation](#utilisation)
    * [Liste de notes](#notes-list)
        * [Ajouter une nouvelle note](#notes-add)
        * [Supprimer une note existante](#notes-delete)
        * [Renommer une note](#notes-rename)
    * [L'éditeur de texte](#note-text-editor)
* [Pour finir](#pour-finir)
* [Navigation rapide](#navigation-rapide)


## <a name="screenshot"/>Aperçu

![image](../../images/screenshots/fr/screenshot-002.png)

Retourner au [sommaire](#sommaire).


## <a name="introduction"/>Présentation

Cet onglet permet de saisir plusieurs notes personnelles afin de jeter
les bases de votre projet de film.

Il est composé de :

1. une liste de notes, à gauche ;
1. un rappel de titre de note, en haut, à droite ;
1. un éditeur de texte, en bas, à droite aussi.

Les parties gauche et droite sont **redimensionnables** : placez la
flèche de la souris entre la liste de notes et l'éditeur de texte puis
cliquez-déplacez la poignée de redimensionnement pour obtenir la taille
souhaitée.

Retourner au [sommaire](#sommaire).


## <a name="utilisation"/>Utilisation

### <a name="notes-list"/>Liste de notes

La liste de notes permet de créer, modifier, renommer et supprimer
plusieurs documents de note ou de brouillon.

Notez que si la sauvegarde de ces documents est automatique et
parfaitement transparente pour l'utilisateur final, elle ne dispense
toutefois pas de sauvegarder le projet régulièrement sur le disque dur
(voir [Pour finir](#pour-finir) ci-dessous).

Notez aussi que le fait de sélectionner un document ou un autre dans la
liste de notes remet les fonctionnalités **Annuler/Refaire** à zéro
dans l'éditeur de texte (voir [L'éditeur de texte](#note-text-editor)
ci-dessous).

Retourner au [sommaire](#sommaire).

#### <a name="notes-add"/>Ajouter une nouvelle note

Pour ajouter une nouvelle note à la liste de notes, cliquez simplement
sur le bouton `+` (plus) situé en bas, à gauche, juste en-dessous de la
liste de notes.

Un dialogue utilisateur vous demandera alors de saisir le titre de ce
nouveau document.

Notez qu'un titre de note ne peut être une chaîne de caractères vide et
doit obligatoirement être **unique** dans la liste de notes en cours.
Le logiciel vous signalera toute erreur à ce sujet.

Une fois le document créé, vous pourrez immédiatement renseigner le
texte de votre nouvelle note grâce à [l'éditeur de texte](#note-text-editor) (voir ci-dessous).

Retourner au [sommaire](#sommaire).

#### <a name="notes-delete"/>Supprimer une note existante

Sélectionnez tout d'abord la note que vous souhaitez supprimer parmi
les titres figurant dans la liste de notes, puis cliquez sur le bouton
`-` (moins) situé en bas, à gauche, juste en-dessous de la liste de
notes.

Un dialogue utilisateur vous demandera de confirmer votre choix.

Notez qu'un document supprimé ne pourra plus être récupéré ensuite,
agissez donc en conséquence.

Retourner au [sommaire](#sommaire).

#### <a name="notes-rename"/>Renommer une note

Sélectionnez tout d'abord la note que vous souhaitez renommer parmi les
titres figurant dans la liste de notes, puis cliquez sur le bouton
`Renommer` situé en bas, à gauche, juste en-dessous de la liste de
notes.

Un dialogue utilisateur vous demandera de renseigner le nouveau titre
pour le document sélectionné.

Notez qu'un titre de note ne peut être une chaîne de caractères vide et
doit obligatoirement être **unique** dans la liste de notes en cours.
Le logiciel vous signalera toute erreur à ce sujet.

Retourner au [sommaire](#sommaire).

### <a name="note-text-editor"/>L'éditeur de texte

La zone de texte blanche située à droite de cet onglet d'application
s'appelle un **éditeur de texte brut**.

L'éditeur de texte brut permet des sauts à la ligne lorsque vous
pressez la touche de clavier `<Entrée>` (retour chariot).

Chaque saut à la ligne crée un nouveau paragraphe.

En revanche, contrairement au **traitement de textes**, cet objet ne
permet pas la mise en forme du texte entré (diverses polices de
caractères, gras, italique, souligné, couleurs d'encre et de fond,
centrage / justification de paragraphes, etc).

Il s'agit d'une zone de texte **neutre**.

Un double-clic sur un mot permet de sélectionner **ce mot uniquement**.

Un triple-clic sur un mot permet de sélectionner **le paragraphe** dans
lequel ce mot se trouve.

Le menu `Edition > Tout sélectionner` ou la combinaison de touches de
clavier `<Ctrl-A>` permettent de **tout sélectionner** dans l'éditeur
de texte brut.

Tout ruban de sélection est susceptible d'être remplacé par la
prochaine frappe d'une touche au clavier.

Contrairement aux champs de formulaire (voir
[onglet&nbsp;'Titre/Données'](fr_tab_title_data.html)), un éditeur de texte
brut prend en charge l'annulation des mots entrés.

Pour annuler la saisie du dernier mot entré, utilisez soit le menu
`Edition > Annuler`, soit le raccourci clavier `<Ctrl-Z>` correspondant
au couplage successif des touches `Ctrl` (en bas à gauche ou à droite
de votre clavier) et `Z` du clavier alphanumérique.

Pour répéter la saisie du dernier mot annulé, utilisez soit le menu
`Edition > Refaire`, soit le raccourci clavier `<Ctrl-Shift-Z>`
correspondant au couplage successif des touches `Ctrl`, `Shift`
(chariot majuscules) et `Z` du clavier alphanumérique.

Notez toutefois que le fait de sélectionner un document ou un autre
dans la liste de notes remet les fonctionnalités **Annuler/Refaire** à
zéro dans l'éditeur de texte (les mémoires sont effacées entre deux
documents différents, ce qui est logique).

Retourner au [sommaire](#sommaire).


## <a name="pour-finir"/>Pour finir

**IMPORTANT**&nbsp;: afin de vous préserver de toute mauvaise surprise,
pensez à **sauvegarder régulièrement votre projet** sur le disque dur,
soit en utilisant le menu `Projet > Enregistrer`, soit en utilisant le
raccourci clavier `<Ctrl-S>` correspondant au couplage successif des
touches `Ctrl` (en bas à gauche ou à droite de votre clavier) et `S` du
clavier alphanumérique.

Retourner au [sommaire](#sommaire).

---

#### <a name="navigation-rapide"/>Navigation rapide

* **L'application par ses onglets**
    * [Onglet 'Titre/Données'](fr_tab_title_data.html)
    * [Onglet 'Brouillon/Notes'](fr_tab_draft_notes.html)
    * [Onglet 'Pitch/Concept'](fr_tab_pitch_concept.html)
    * [Onglet 'Personnages'](fr_tab_characters.html)
    * [Onglet 'Scénario'](fr_tab_scenario.html)
    * [Onglet 'Storyboard'](fr_tab_storyboard.html)
    * [Onglet 'Ressources'](fr_tab_resources.html)
* **Les outils**
    * [BDD noms de personnages](fr_tools_name_db.html)
    * [Modèles d'histoires/pitchs](fr_tools_pitch_templates.html)
    * [Éléments de scénario](fr_tools_scenario_elements_editor.html)

Retourner à [l'accueil](index.html).
