#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
    tkScenarist - screen writing made simpler

    Copyright (c) 2014+ Raphaël Seban <motus@laposte.net>

    This program is free software: you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation, either version 3 of
    the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.

    If not, see http://www.gnu.org/licenses/
"""


def text_edit_autoseparator (w_text, event, keysym="space"):
    if event.keysym == keysym:
        w_text.edit_separator()
    # end if
# end def


def text_format (contents):
    contents = str(contents).rstrip()
    if contents:
        contents += "\n"
    # end if
    return contents
# end def


def text_get_contents (w_text):
    return text_format(w_text.get(1.0, "end"))
# end def


def text_is_empty (w_text):
    return not w_text.get(1.0).rstrip()
# end def


def text_reset_contents (w_text, contents=""):
    text_set_contents(w_text, contents)
    w_text.edit_modified(True)
    w_text.edit_modified(False)
    w_text.edit_reset()
# end def


def text_set_contents (w_text, contents):
    w_text.delete(1.0, "end")
    w_text.insert("end", text_format(contents))
# end def
