#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""Main window module.

Implements:

* class RADMainWindow -- tkRAD lightweight main window class.

Example::

    import tkRAD
    tkRAD.RADMainWindow().run()

*NEW* since **tkRAD v1.7**:

Please, feel free to post an issue ticket on GitHub's project
bugtracker if you face any troubleshooting with this new version of
tkRAD's library.

GitHub's project bugtracker: https://github.com/tarball69/tkRAD/issues
(requires a GitHub member account to proceed).
"""

"""
    tkRAD - tkinter Rapid Application Development library

    (c) 2013+ Raphaël SEBAN <motus@laposte.net>

    This program is free software: you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.

    If not, see: http://www.gnu.org/licenses/
"""

import tkinter as tk
from . import rad_window_base as rwb


class RADMainWindow (rwb.RADWindowBase, tk.Tk):
    """tkRAD lightweight main window class."""

    WINDOW_ID = "mainwindow"

    def __init__ (self, **kw):
        tk.Tk.__init__(self)
        kw.pop("tk_owner", None)
        rwb.RADWindowBase.__init__(self, **kw)
        self.initialize(**kw)
    # end def

# end class
